package com.rnalice

import android.content.Intent
import android.os.Bundle
import com.alicebiometrics.onboarding.api.Onboarding
import com.alicebiometrics.onboarding.config.OnboardingConfig
import com.facebook.react.ReactActivity


class AliceActivity : ReactActivity() {

    private val onboardingRequestCode: Int = 100

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extasBunde = intent.extras
        val userToken = extasBunde.getString("userToken", "")
        val configMap = extasBunde.getSerializable("config")

        val config = OnboardingConfig.fromDictionary(configMap, userToken)

        val onboarding = Onboarding(this, config = config)
        onboarding.run(onboardingRequestCode)
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(onboardingRequestCode == 100) {
            setResult(resultCode, data)
            finish()
        }
    }
}