import com.alicebiometrics.onboarding.api.OnboardingError
import com.alicebiometrics.onboarding.auth.AuthenticationError

class TransformationTools {
    companion object {
        fun stringFromSandboxError(sandboxError: AuthenticationError): String {
            when (sandboxError) {
                AuthenticationError.INVALIDSANDBOXTOKEN -> return "Invalid Sandbox Token"
                AuthenticationError.CLIENTERROR -> return "Client error"
                AuthenticationError.SERVERERROR -> return "clientError"
                AuthenticationError.UNKNOWNERROR -> return "Unknown Error"
                AuthenticationError.ENCODINGERROR -> return "Encoding Error"
                AuthenticationError.CONNECTIONERROR -> return "Connection Error"
                else -> return "Unknown Error"
            }
        }
        fun stringFromOnboardingError(onboardingError: OnboardingError): String {
            when (onboardingError) {
                is OnboardingError.UnknownError -> return "${onboardingError.statusCode}: Client Error ${onboardingError.message}"
                is OnboardingError.ConnectionError -> return "Connection Error"
                is OnboardingError.InsufficientFaces -> return "Insufficient Faces"
                is OnboardingError.InvalidIssuingCountryError -> return "Invalid Issuing Country Error"
                is OnboardingError.InvalidUserToken -> return "${onboardingError.statusCode}: Invalid User Token ${onboardingError.message}"
                is OnboardingError.ServerError -> return "${onboardingError.statusCode}: Server Error: ${onboardingError.message}"
                is OnboardingError.UnknownError -> return "Unknown Error"
                else -> return "Unknown Error"
            }
        }
    }
}